For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transactions

List Transactions

get
/v1/transactions

Retrieve deposits, withdrawals and transfers with optional filtering and pagination.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
transactionTypestring · enumOptional

Filter transactions by type (deposit, withdrawal, transfer)

Example: DEPOSITPossible values:
transactionStatusstring · enumOptional

Filter transactions by status

Possible values:
createdAtStartstring · date-timeOptional

Filter transactions by creation date lower bound, exclusive

createdAtEndstring · date-timeOptional

Filter transactions by creation date upper bound, inclusive

accountIdstring · uuidOptional

Filter executions by account ID

clientMemostring · stringOptional

Filter transactions by clientMemo

externalDepositIdstring · stringOptional

Filter transactions by externalDepositId

afterstringOptional

When provided, specifies the last item returned in previous page, used to fetch the next page. Fetches the first page when omitted.

limitstring · integerOptional

When provided, specifies the number of items to return in the page. Uses default page size of 10 when omitted.

sortFieldstringOptional

Will sort the returned data using the specified field.

sortDirectionstring · enumOptional

Specifies the sort direction for the sortField.

Possible values:
Responses
200

Successful response

application/json
afterstringOptional

The token of the last item in the response

totalCountstring · integerOptional

The total number of items in the entire filtered data set

Example: 3
get/v1/transactions
GET /api/v1/transactions HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "after": "text",
  "totalCount": "3",
  "items": [
    {
      "depositId": "123e4567-e89b-12d3-a456-426614174000",
      "transactionType": "DEPOSIT",
      "transactionStatus": "FAILED",
      "customerId": "123e4567-e89b-12d3-a456-426614174000",
      "accountId": "123e4567-e89b-12d3-a456-426614174000",
      "quantity": "2.345123",
      "currency": "ETH",
      "confirmations": "6",
      "txHash": "0x7a4650d8f57438312e4c473f3a3e82d0505aa0b77c875b220bed1a31a8c2e6d4",
      "network": "ERC20",
      "sourceAddresses": [
        {
          "address": "0x6BD140405426464d83ed0286217cc9B578Fe5555"
        }
      ],
      "receivedAt": "2026-01-01T00:00:00.000Z",
      "completedAt": "2026-01-01T00:00:00.000Z",
      "externalDepositId": "text"
    }
  ]
}

GET Transaction

get
/v1/transactions/{transactionId}

Retrieve deposit, withdrawal or transfer by transaction ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
transactionIdstring · uuidRequired

The transactionId of the transaction

Responses
200

Successful response

application/json
or
or
get/v1/transactions/{transactionId}
GET /api/v1/transactions/{transactionId} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "depositId": "123e4567-e89b-12d3-a456-426614174000",
  "fundingRequestId": "faf8e68c-2cd5-43a6-b8e1-112535b7de00",
  "transactionType": "DEPOSIT",
  "transactionStatus": "FAILED",
  "customerId": "123e4567-e89b-12d3-a456-426614174000",
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "quantity": "2.345123",
  "currency": "ETH",
  "confirmations": "6",
  "txHash": "0x7a4650d8f57438312e4c473f3a3e82d0505aa0b77c875b220bed1a31a8c2e6d4",
  "network": "ERC20",
  "sourceAddresses": [
    {
      "address": "0x6BD140405426464d83ed0286217cc9B578Fe5555"
    }
  ],
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "completedAt": "2026-01-01T00:00:00.000Z",
  "externalDepositId": "text",
  "clientMemo": "text"
}

Last updated